Client billing portal

List Client Billing Invoices

Lists issued platform invoices and the caller's collection status.

GEThttps://api.toku.com/platform/list-client-billing-invoices

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/platform/list-client-billing-invoices?page=%3Cpage%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "invoices": [
    {
      "id": "string",
      "number": "string",
      "billingPeriod": "string",
      "issueDate": "string",
      "dueDate": "string",
      "total": "string",
      "currency": "string",
      "payment": "PAID",
      "paidAt": "string",
      "canPay": true
    }
  ],
  "page": 0,
  "pageSize": 0,
  "total": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

pageintegerrequired

Allowed: 1 to 10000

Response

200Successful response
invoicesobject[]required
Show child attributes
idstringrequired
numberstring | nullrequired
billingPeriodstring | nullrequired
issueDatestring | nullrequired
dueDatestring | nullrequired
totalstringrequired
currencystringrequired
paymentstringrequired

Available options: PAID, DUE, PROCESSING, FAILED, CHARGING_CARD

paidAtstring | nullrequired
canPaybooleanrequired
pageintegerrequired
pageSizeintegerrequired
totalintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits